Bug 11340 - Enhancement to allow use of /etc/shutdown.allow
Enhancement to allow use of /etc/shutdown.allow
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-09 21:10 EDT by Mike McHenry
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-09 21:10:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McHenry 2000-05-09 21:10:56 EDT
shutdown supports the use of a file /etc/shutdown.allow to list users who
are allowed to perform a soft Control-Alt-Delete shutdown. To take
advantage of this a flag must be added in /etc/inittab. This flag has no
adverse effects even if /etc/shutdown.allow is non-existant.

In /etc/inittab simply add -a to the shutdown command to enable this
feature.

ca::ctrlaltdel:/sbin/shutdown -t3 -r now

becomes

ca::ctrlaltdel:/sbin/shutdown -t3 -r now -a
Comment 1 Bill Nottingham 2000-08-07 01:16:21 EDT
We currently use pam_console for this sort of shutdown thing,
and generally subscribe to the 'those on the console can
find a way to reboot anyways' theory. We'll leave this
as a modification for local sysadmins.

Note You need to log in before you can comment on or make changes to this bug.